net.sf.jasperreports.data.xml

## Class RemoteXmlDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.xml.XmlDataAdapterService
    - - net.sf.jasperreports.data.xml.RemoteXmlDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

      public class RemoteXmlDataAdapterService
      extends XmlDataAdapterService

  Version:
    $Id: RemoteXmlDataAdapterService.java 6026 2013-03-26 11:49:34Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `XML_URL`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteXmlDataAdapterService(JasperReportsContext jasperReportsContext, RemoteXmlDataAdapter remoteXmlDataAdapter)`
    `RemoteXmlDataAdapterService(RemoteXmlDataAdapter remoteXmlDataAdapter)` Deprecated. Replaced by `RemoteXmlDataAdapterService(JasperReportsContext, RemoteXmlDataAdapter)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `RemoteXmlDataAdapter` | `getRemoteXmlDataAdapter()`
    `void` | `test()`

    - ### Methods inherited from class net.sf.jasperreports.data.xml.XmlDataAdapterService

      `getXmlDataAdapter`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `dispose, getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_URL

          public static final java.lang.String XML_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RemoteXmlDataAdapterService

          public RemoteXmlDataAdapterService(JasperReportsContext jasperReportsContext,
                                     RemoteXmlDataAdapter remoteXmlDataAdapter)

    - #### RemoteXmlDataAdapterService

          public RemoteXmlDataAdapterService(RemoteXmlDataAdapter remoteXmlDataAdapter)

      Deprecated. Replaced by `RemoteXmlDataAdapterService(JasperReportsContext, RemoteXmlDataAdapter)`.

  - ### Method Detail

    - #### getRemoteXmlDataAdapter

          public RemoteXmlDataAdapter getRemoteXmlDataAdapter()

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Overrides:
        `contributeParameters` in class `XmlDataAdapterService`
      Throws:
        `JRException`

    - #### test

          public void test()
                    throws JRException

      Specified by:
        `test` in interface `DataAdapterService`
      Overrides:
        `test` in class `AbstractDataAdapterService`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com